#ifndef JResizableButton_h
#define JResizableButton_h

#include <app/Message.h>
#include <interface/Rect.h>
#include <interface/View.h>
#include <interface/Button.h>

/* Just like a regular BButton, but with a handy resize method added */
class JResizableButton : public BButton 
{
public:
    JResizableButton(BRect parentFrame, BRect frame, const char * name, const char * label, BMessage * msg);
    
    virtual void ChangeToNewSize(float newWidth, float newHeight);
    
private:
    BRect _percentages;    
};

#endif
