#ifndef CommandExecutor_h
#define CommandExecutor_h

#include <app/Looper.h>
#include <app/Message.h>
#include <kernel/OS.h>

// This thread receives BMessages telling it what
// to launch, and launches them.
class CommandExecutor : public BLooper
{
public:
   CommandExecutor();
   ~CommandExecutor();
   
   virtual void MessageReceived(BMessage * msg);
   
private:   
   bool GetNextWord(char ** setBeginWord, char ** setEndWord) const;
};

#endif
